matrix:
  unix_platform:
    - debian10
    - debian11
    - macos
    - macos_arm64
    - ubuntu2004
    - ubuntu2204
  windows_platform:
    - windows
  bazel: [7.*, 8.*]
tasks:
  unix_verify_targets:
    name: Verify build targets
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--nolegacy_external_runfiles'
      - '--incompatible_disallow_empty_glob=true'
      - '--incompatible_autoload_externally='
      - '--cxxopt=-std=c++17'
      - '--process_headers_in_dependencies'
    build_targets:
      - '@boost//...'
  windows_verify_targets:
    name: Verify build targets
    platform: ${{ windows_platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--nolegacy_external_runfiles'
      - '--incompatible_disallow_empty_glob=true'
      - '--incompatible_autoload_externally='
      - '--cxxopt=/std:c++17'
      - '--process_headers_in_dependencies'
    build_targets:
      - '@boost//...'
